Tinderbox User-to-User Forum (for formal tech support please email: info@eastgate.com)
http://www.eastgate.com/Tinderbox/forum//YaBB.cgi
Tinderbox Users >> Moving to Tinderbox 6 >> Caution on Upgrade to 6.50 With Mac OS <10.10
http://www.eastgate.com/Tinderbox/forum//YaBB.cgi?num=1458919763

Message started by Henry Stein on Mar 25th, 2016, 11:29am

Title: Caution on Upgrade to 6.50 With Mac OS <10.10
Post by Henry Stein on Mar 25th, 2016, 11:29am

I eagerly downloaded and tried to install TB 6.5.0 without noticing that it requires the latest Mac OS.  (I still use OS. 10.8.5.) Consequently TB 6.5.0 would not run. Eventually, I realized that installing the older TB 6.4.0 would work.  I also run Parallels Desktop and Windows 7 on my iMac and am hesitant to upgrade the Mac OS & Parallels after getting them to work well together, so temporarily, I'll have to pass on the TB upgrades.  

[edit]Edit by admin - I changed thread title to make the issue clearer[/edit]
[edit]Edit by admin - I changed thread title again to reflect MB's subsequent post[/edit]

Title: Re: Caution on Upgrade to 6.50 With Mac OS <10.9
Post by Mark Bernstein on Mar 26th, 2016, 6:40am

And, in point of fact, Tinderbox 6.5 requires OS X 10.10.

We may well be able to work around this to support 10.9, if that's desired.

Title: Re: Caution on Upgrade to 6.50 With Mac OS <10.10
Post by Henry Stein on Mar 28th, 2016, 8:38pm

Would it be possible to also support 10.8.5?

Title: Re: Caution on Upgrade to 6.50 With Mac OS <10.10
Post by Mark Bernstein on Mar 29th, 2016, 11:54am

It's possible to support 10.8, but it's even more work and expense. I believe OS X 10.8.5 was released in August, 2009; that's getting pretty far in the rear view window.

That said, if there's a good reason to stay with 10.8, we could probably arrange something.

Title: Re: Caution on Upgrade to 6.50 With Mac OS <10.10
Post by David Topps on Apr 3rd, 2016, 11:29am

Ok, so I did have this very helpful interchange with Mark, that I will post in case others can benefit. I think this will be a good workaround for me. Will keep you posted on how it works. Herewith the message exchange thread:

MB: Tinderbox 6.5 won't run on  10.9 — part of the new infrastructure turns out to depend on 10.10 .  I believe this could be worked around if there is reason to do so, though of course upgrading OS X is a common solution and seems to work for lots of people.

DT: My challenge is that I access Tinderbox from two different machines. File is stored on DropBox. And, no I don’t access it simultaneously – not expecting that. So on one machine, I am running 10.10 so can upgrade to TBox 6.5. But will that alter the tbx file structure so that I cannot then access it using TBox 6.4 on the machine that is running OS X 10.9 ?

There are other constraints on why I should not upgrade the second machine to 10.10.

MB: You should be able to work on the same file with Tinderbox 6.5/OS X 10.10/10.11 on one machine and Tinderbox 6.4/OS X 10.9 on the other.  This isn't well tested, but I don't see an insuperable obstacle in the short term.

Title: Re: Caution on Upgrade to 6.50 With Mac OS <10.10
Post by Henry Stein on Jun 2nd, 2016, 9:14pm

I'd just like to verify that a file created on TB6.5/6.6 OSX10.10/10.11 can be opened and worked on by another user with TB6.4 OSX10.85.

Title: Re: Caution on Upgrade to 6.50 With Mac OS <10.10
Post by Mark Bernstein on Jun 3rd, 2016, 12:25pm

Yes, this should be fine.  

Tinderbox User-to-User Forum (for formal tech support please email: info@eastgate.com) » Powered by YaBB 2.2.1!
YaBB © 2000-2008. All Rights Reserved.